package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF8C1 extends MwfRequest<MWF8C1, MWF8C1Response> {

    @Parameter(name = "AppKey")
    MWF8C1 appKey(Long appKey);
    @Parameter(name = "InsuranceType")
    MWF8C1 insuranceType(String insuranceType);
    @Parameter(name = "LoanAmount")
    MWF8C1 loanAmount(Double loanAmount);
    @Parameter(name = "ProductVirtualCandidateKey")
    MWF8C1 productVirtualCandidateKey(Long productVirtualCandidateKey);
    @Parameter(name = "Term")
    MWF8C1 term(Long term);
}
